export declare class AliTrackLogger {
    private logList;
    private checkTimer;
    private config;
    private retryTimes;
    private enable;
    private db;
    private useIndexedDB;
    private readonly DB_NAME;
    private readonly STORE_NAME;
    private readonly BATCH_SIZE;
    constructor();
    private initIndexedDB;
    private storeLogInIndexedDB;
    private getLogsFromIndexedDB;
    private deleteLogsFromIndexedDB;
    private uploadLoggerGlobalEvent;
    start(): Promise<void>;
    pause(): void;
    addLog(message: string, level: Level, taskId: string, randomId: string): Promise<void>;
    private isDatabaseHealthy;
    private recreateDatabase;
    destroy(): void;
    uploadLog(focus?: boolean): Promise<void>;
    setEnable(enable: boolean): void;
}
declare type Level = "info" | "warn" | "error";
export interface TrackLoggerConfig {
    checkTime: number;
    buffer: number;
}
export {};
